:root {
  --primary-color: #e64042;
  --secondary-color: #ff9900;
  --text-sec-color: #f8f8fc;
  --text-primary: #2d0606;
  --text-temp: #787878;
  --footer-bg: #ffb8ba;
}

*,
*:after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "poppins", sans-serif;
  background-color: var(--text-sec-color);
  overflow-x: hidden;
  overflow-y: scroll;
  scroll-behavior: smooth;
}

.container {
  max-width: 1100px;
  margin: auto;
}
.l-heading {
  font-size: 52px;
  color: var(--dark-green);
  font-weight: 600;
}

.btn {
  all: unset;
  display: block;
  padding: 15px 25px;
  cursor: pointer;
  border-radius: 5px;
}

.btn-primary {
  background-color: var(--primary-color);
  color: var(--text-sec-color);
  border: 2px solid var(--primary-color);
}
.btn-secondary {
  background-color: transparent;
  color: var(--text-primary);
  border: 2px solid #ffe950;
}
input,
select,
textarea {
  width: 100%;
  font-family: "Poppins", sans-serif;
  padding: 15px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
  border-radius: 4px;
  background-color: transparent;
}
input:focus,
textarea:focus {
  outline: none;
}
input[type="submit"] {
  max-width: 100%;
  background-color: var(--primary-color);
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 500;
}

/* initial display page */
.initial {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--text-sec-color);
}
.initial .l-heading {
  text-align: center;
  margin-bottom: 1rem;
}

#register {
  opacity: 0;
  transform: translate(0, 150px);
  transition: all 2s ease;
}
#register.visible {
  opacity: 1;
  transform: translate(0, 0);
}

input[type="text"]:focus {
  outline: none;
}

/* Admission Form */
.adm-form .header {
  text-align: center;
}

.adm-form .header p {
  font-size: 1.2rem;
}

.adm-form fieldset {
  width: 60%;
  min-height: 80px;
  margin: 0 auto;
  margin-top: 50px;
  border-radius: 10px;
}
.adm-form fieldset legend {
  padding: 5px;
  margin-left: 40px;
}
.adm-form fieldset input,
.adm-form fieldset select {
  margin: 0;
  border: none;
  padding: 0 15px;
  font-weight: 500;
  font-size: 1rem;
}
.adm-form fieldset div input[type="radio"] {
  width: 30px;
}
.adm-form fieldset div label {
  font-size: 1.2rem;
}
.adm-form input[type="submit"] {
  width: 60%;
  margin: 50px auto;
  text-align: center;
  display: block;
}
